Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Interface NodeEventTarget

All Superinterfaces:
  EventTarget

All Known Subinterfaces:
  ExtendedNode

All Known Implementing Classes:
  AbstractAttr, AbstractAttrNS, AbstractCharacterData, AbstractChildNode, AbstractComment, AbstractDocument, AbstractDocumentFragment, AbstractElement, AbstractElement, AbstractElementNS, AbstractEntity, AbstractEntityReference, AbstractNode, AbstractNotation, AbstractParentChildNode, AbstractParentNode, AbstractProcessingInstruction, AbstractStylableDocument, AbstractText, BatikHistogramNormalizationElement, BatikRegularPolygonElement, BatikStarElement, BindableElement, ColorSwitchElement, ExtensionElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, GenericAttr, GenericAttrNS, GenericCDATASection, GenericComment, GenericDocument, GenericDocumentFragment, GenericDocumentType, GenericElement, GenericElementNS, GenericEntity, GenericEntityReference, GenericNotation, GenericProcessingInstruction, GenericText, GraphicsExtensionElement, PrefixableStylableExtensionElement, StylableExtensionElement, StyleSheetProcessingInstruction, SVG12OMDocument, SVGDescriptiveElement, SVGGraphicsElement, SVGOMAElement, SVGOMAltGlyphDefElement, SVGOMAltGlyphElement, SVGOMAltGlyphItemElement, SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMColorProfileElement, SVGOMComponentTransferFunctionElement, SVGOMCursorElement, SVGOMDefinitionSrcElement, SVGOMDefsElement, SVGOMDescElement, SVGOMDocument, SVGOMElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEDistantLightElement, SVGOMFEFloodElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMergeNodeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFEPointLightElement, SVGOMFESpecularLightingElement, SVGOMFESpotLightElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMFontFaceElement, SVGOMFontFaceFormatElement, SVGOMFontFaceNameElement, SVGOMFontFaceSrcElement, SVGOMFontFaceUriElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMHandlerElement, SVGOMHKernElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMetadataElement, SVGOMMissingGlyphElement, SVGOMMPathElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMScriptElement, SVGOMSetElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMStyleElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMURIReferenceElement, SVGOMUseElement, SVGOMUseShadowRoot, SVGOMViewElement, SVGOMVKernElement, SVGPointShapeElement, SVGStylableElement, SVGStyleSheetProcessingInstruction, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement

    public interface NodeEventTarget

extends EventTarget

A Node that uses an EventSupport for its event registration and dispatch.

Method Summary
`void` | `addEventListenerNS(String namespaceURI, String type, EventListener listener, boolean useCapture, Object evtGroup)` This method allows the registration of an event listener in a specified group or the default group and, depending on the `useCapture` parameter, on the capture phase of the DOM event flow or its target and bubbling phases.
`boolean` | `dispatchEvent(Event evt)` This method allows the dispatch of events into the implementation's event model.
`EventSupport` | `getEventSupport()` Returns the event support instance for this node, or null if any.
`NodeEventTarget` | `getParentNodeEventTarget()` Returns the parent node event target.
`void` | `removeEventListenerNS(String namespaceURI, String type, EventListener listener, boolean useCapture)` This method allows the removal of an event listener, independently of the associated event group.

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, removeEventListener`

Method Detail

### getEventSupport

    EventSupport getEventSupport()

  Returns the event support instance for this node, or null if any.

### getParentNodeEventTarget

    NodeEventTarget getParentNodeEventTarget()

  Returns the parent node event target.

### dispatchEvent

    boolean dispatchEvent(Event evt)
                          throws EventException,
                                 DOMException

  This method allows the dispatch of events into the implementation's event model. The event target of the event is the `EventTarget` object on which `dispatchEvent` is called.

  Specified by:
    `dispatchEvent` in interface `EventTarget`
  Parameters:
    `evt` - The event to be dispatched.
  Returns:
    Indicates whether any of the listeners which handled the event called `Event.preventDefault()`. If `Event.preventDefault()` was called the returned value is `false`, else it is `true`.
  Throws:
    `EventException` - UNSPECIFIED_EVENT_TYPE_ERR: Raised if the `Event.type` was not specified by initializing the event before `dispatchEvent` was called. Specification of the `Event.type` as `null` or an empty string will also trigger this exception.
    DISPATCH_REQUEST_ERR: Raised if the `Event` object is already being dispatched.
    `DOMException` - NOT_SUPPORTED_ERR: Raised if the `Event` object has not been created using `DocumentEvent.createEvent()`.
    INVALID_CHARACTER_ERR: Raised if `Event.type` is not an NCName as defined in [XML Namespaces 1.1] .

### addEventListenerNS

    void addEventListenerNS(String namespaceURI,
                            String type,
                            EventListener listener,
                            boolean useCapture,
                            Object evtGroup)

  This method allows the registration of an event listener in a specified group or the default group and, depending on the `useCapture` parameter, on the capture phase of the DOM event flow or its target and bubbling phases.

  Specified by:
    `addEventListenerNS` in interface `EventTarget`
  Parameters:
    `namespaceURI` - Specifies the `Event.namespaceURI` associated with the event for which the user is registering.
    `type` - Refer to the `EventTarget.addEventListener()` method for a description of this parameter.
    `listener` - Refer to the `EventTarget.addEventListener()` method for a description of this parameter.
    `useCapture` - Refer to the `EventTarget.addEventListener()` method for a description of this parameter.
    `evtGroup` - The object that represents the event group to associate with the `EventListener` (see also ). Use `null` to attach the event listener to the default group.
  Since:
    DOM Level 3

### removeEventListenerNS

    void removeEventListenerNS(String namespaceURI,
                               String type,
                               EventListener listener,
                               boolean useCapture)

  This method allows the removal of an event listener, independently of the associated event group. Calling `removeEventListenerNS` with arguments which do not identify any currently registered `EventListener` on the `EventTarget` has no effect.

  Specified by:
    `removeEventListenerNS` in interface `EventTarget`
  Parameters:
    `namespaceURI` - Specifies the `Event.namespaceURI` associated with the event for which the user registered the event listener.
    `type` - Refer to the `EventTarget.removeEventListener()` method for a description of this parameter.
    `listener` - Refer to the `EventTarget.removeEventListener()` method for a description of this parameter.
    `useCapture` - Refer to the `EventTarget.removeEventListener()` method for a description of this parameter.
  Since:
    DOM Level 3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.